Results 1 to 4 of 4

Thread: openSuSE 11.2 x64 - emacs packages broken

  1. #1
    Join Date
    Nov 2009
    Location
    IA
    Posts
    38

    Thumbs down openSuSE 11.2 x64 - emacs packages broken

    The emacs rpm packages as distributed under 11.2 have a serious problem.

    The base emacs package includes too much.

    Particularly, it includes all the clients, including the X11 and gtk clients. Those clients should only be present in the emacs-x11 and emacs-gtk rpm's respectively.

    This means that if you only want emacs-nox, you still end up with emacs-x11 as the default client!

  2. #2
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: openSuSE 11.2 x64 - emacs packages broken

    I can't replicate your problem, here is a snippet from my box (which has nothing related to emacs, at all):

    PHP Code:
    rawr:/home/heidi # zypper in emacs-nox
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...

    The following NEW packages are going to be installed:
      
    anthy ctags emacs emacs-info emacs-nox libotf m17n-db m17n-lib xaw3d 

  3. #3
    Join Date
    Nov 2009
    Location
    IA
    Posts
    38

    Default Re: openSuSE 11.2 x64 - emacs packages broken

    Ah, but the emacs package installs the emacs-x11 and emacs-gtk executables, which it should not - they belong in the emacs-x11 and emacs-gtk rpms.

    Code:
    lxstjernstrom:/home/staffan # ls /usr/bin/emacs*
    ls: cannot access /usr/bin/emacs*: No such file or directory
    lxstjernstrom:/home/staffan # zypper in emacs-nox
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    The following NEW packages are going to be installed:
      emacs emacs-nox
    
    2 new packages to install.
    Overall download size: 22.1 MiB. After the operation, additional 94.0 MiB will be used.
    Continue? [y/n/?] (y):
    Retrieving package emacs-23.1-3.6.x86_64 (1/2), 20.3 MiB (84.2 MiB unpacked)
    Retrieving: emacs-23.1-3.6.x86_64.rpm [done]
    Installing: emacs-23.1-3.6 [done]
    Retrieving package emacs-nox-23.1-3.6.x86_64 (2/2), 1.8 MiB (9.7 MiB unpacked)
    Retrieving: emacs-nox-23.1-3.6.x86_64.rpm [done]
    Installing: emacs-nox-23.1-3.6 [done]
    lxstjernstrom:/home/staffan # ls /usr/bin/emacs*
    /usr/bin/emacs  /usr/bin/emacsclient  /usr/bin/emacs-gtk  /usr/bin/emacs-nox  /usr/bin/emacs-x11
    lxstjernstrom:/home/staffan #
    When I install emacs-nox on a clean system, I would not expect to see either the emacs-x11 or the emacs-gtk executables in the above (in fact it used to be the case that the install wouldn't even create the emacs executable, but a symlink to the only-installed emacs-nox).

    No matter how you install it, you end up with an X version of emacs as the default.

  4. #4
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: openSuSE 11.2 x64 - emacs packages broken

    Hmm, you should report this as a bug on the Bugzilla vamonos.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •